Saturday, November 13, 2010

Solving the "File Is Corrupt" Install Error for ASP.NET MVC 3 RC

I was eager to get my hands on the latest version of ASP.NET MVC 3 when my euphoria was abruptly interrupted with an install error.

















HINT: Use Internet Explorer 8 (IE8)...

The problem is client side. Apparently the installer only works if downloaded via IE8. I received the error using Google Chrome and according to Scott Gu, IE9 Beta won't suffice either.  Once downloaded with IE8, you should be able to enjoy the wonders of MVC 3 RC.

NOTE: If you've installed the Async CTP or a previous version of MVC 3, you'll have to uninstall it in order to install MVC 3 RC. See this blog post here from Scott Gu for more details.

Let the hacking begin...